package com.lovecoding.day11.baozhuang01;

public class Test01 {

    public static void main(String[] args) {
        //基本
        int i = 10;
        //包装
        Integer i1 = 20;

        //基本 =》 包装
        Integer i2 = i; //推荐 自动装箱

        Integer obj1 = new Integer(4);//使用构造函数函数 不推荐
        Integer obj2 = Integer.valueOf(4);  //使用包装类中的valueOf方法

        //包装 =》 基本
        int i3 = i2.intValue(); //不推荐

        int i4 = i2; //简单  自动拆箱

        int i5 = i2 + 1; //自动拆箱


    }
}
